Subject: problem building cross compiler for arm-linux under cygwin
From: [email-masked]
To: "[email-masked]" <[email-masked]>
Date: Tue, 8 Oct 2002 9:28:14 +0800

Hi everybody
	I have a question about building cross compilers.
	Here are the sources I used:
		binutils-2.12.90.0.3
		gcc-2.95.3
		gcc-2.95.3.diff
		glibc-2.2.4
		glibc-linuxthreads-2.2.4

	host: cygwin run on win2000
	target: arm-linux

	If I want to build glibc,GCC should be compiled for two times,
But when I fist compile it use the following configure:
	../gcc-2.95.3/configure --target=arm-linux --prefix=/usr/local/
armle/ --disable-shared --disable-threads --enable-languages="c"
	make
	
	There are errors.You can see the attachment named "makeout".

	I think the problem exits here:
	checking for a BSD compatible install... /bin/install -c
	checking how to run the C preprocessor... /lib/cpp
	checking for sys/file.h... grep: conftest.out: No such file or directory
	.......

	Because I have used the same sources and the same configure commands
under linux ,everything is OK. So I compare the output under these two conditions
It seems that these kind of "checking" is not the same.
	Why these happen? They both run the same "configure" script in 
gcc-2.95.3/libiberty/.

	Wish your help.I even now begin to reseach the configure script, but nothing
do help.

Regards
Joan                    		
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/